tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Enum Subscription

- java.lang.Object
- - java.lang.Enum<Subscription>
  - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.Subscription

- All Implemented Interfaces:
    Serializable, Comparable<Subscription>

      public enum Subscription
      extends Enum<Subscription>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `none` The node MUST NOT send event notifications or payloads to the Entity.
    `pending` An entity has requested to subscribe to a node and the request has not yet been approved by a node owner.
    `subscribed` An entity is subscribed to a node.
    `unconfigured` An entity has subscribed but its subscription options have not yet been configured.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Subscription` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Subscription[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final Subscription none

      The node MUST NOT send event notifications or payloads to the Entity.

    - #### pending

          public static final Subscription pending

      An entity has requested to subscribe to a node and the request has not yet been approved by a node owner. The node MUST NOT send event notifications or payloads to the entity while it is in this state.

    - #### subscribed

          public static final Subscription subscribed

      An entity is subscribed to a node. The node MUST send all event notifications (and, if configured, payloads) to the entity while it is in this state (subject to subscriber configuration and content filtering).

    - #### unconfigured

          public static final Subscription unconfigured

      An entity has subscribed but its subscription options have not yet been configured. The node MAY send event notifications or payloads to the entity while it is in this state. The service MAY timeout unconfigured subscriptions.

  - ### Method Detail

    - #### values

          public static Subscription[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Subscription c : Subscription.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Subscription valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2016 Tigase. All rights reserved.